{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "title": "FMP Stock Latest Schema",
  "description": "Schema for FMP Stock Latest endpoint",
  "version": "1.0.0",
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "symbol": {
        "type": [
          "string",
          "null"
        ],
        "description": "Symbol"
      },
      "name": {
        "type": [
          "string",
          "null"
        ],
        "description": "Name"
      },
      "price": {
        "type": [
          "number",
          "null"
        ],
        "description": "Price"
      },
      "changesPercentage": {
        "type": [
          "number",
          "null"
        ],
        "description": "Changespercentage"
      },
      "change": {
        "type": [
          "number",
          "null"
        ],
        "description": "Change"
      },
      "dayLow": {
        "type": [
          "string",
          "null"
        ],
        "description": "Daylow"
      },
      "dayHigh": {
        "type": [
          "string",
          "null"
        ],
        "description": "Dayhigh"
      },
      "yearHigh": {
        "type": [
          "string",
          "null"
        ],
        "description": "Yearhigh"
      },
      "yearLow": {
        "type": [
          "string",
          "null"
        ],
        "description": "Yearlow"
      },
      "marketCap": {
        "type": [
          "number",
          "null"
        ],
        "description": "Marketcap"
      },
      "priceAvg50": {
        "type": [
          "string",
          "null"
        ],
        "description": "Priceavg50"
      },
      "priceAvg200": {
        "type": [
          "string",
          "null"
        ],
        "description": "Priceavg200"
      },
      "volume": {
        "type": [
          "number",
          "null"
        ],
        "description": "Volume"
      },
      "avgVolume": {
        "type": [
          "string",
          "null"
        ],
        "description": "Avgvolume"
      },
      "exchange": {
        "type": [
          "string",
          "null"
        ],
        "description": "Exchange"
      },
      "open": {
        "type": [
          "string",
          "null"
        ],
        "description": "Open"
      },
      "previousClose": {
        "type": [
          "string",
          "null"
        ],
        "description": "Previousclose"
      },
      "eps": {
        "type": [
          "string",
          "null"
        ],
        "description": "Eps"
      },
      "pe": {
        "type": [
          "string",
          "null"
        ],
        "description": "Pe"
      },
      "earningsAnnouncement": {
        "type": [
          "string",
          "null"
        ],
        "description": "Earningsannouncement"
      },
      "sharesOutstanding": {
        "type": [
          "string",
          "null"
        ],
        "description": "Sharesoutstanding"
      },
      "timestamp": {
        "type": [
          "string",
          "null"
        ],
        "description": "Timestamp"
      }
    },
    "required": [
      "symbol"
    ]
  }
}
